Subject: Re: [PATCH 24/29] sysctl: Replace root_list with links between sysctl_table_sets.

From: [email-masked] (Eric W. Biederman)
Date: Mon, 30 Jan 2012 18:11:40 -0800

Dave Jones <[email-masked]> writes:

> On Thu, Jan 26, 2012 at 08:52:00PM -0800, Eric W. Biederman wrote:
>
>  > +	memset(set, sizeof(*set), 0);
>
> checkpatch should warn you about this mistake.

Is there a way to tie checkpatch into git.  Perhaps into git commit?

Having something that would catch this before I embarrassed myself
certainly sounds nice.  However my overall impression of checkpatch
is that it catches newbie mistakes so unless it is trivial to run
checkpatch I don't expect I will run it because I don't expect to
tell me anything useful.

Eric